@mixin fullscreen-container($z-index: auto) {
  @include fullscreen-container-full;

  position: absolute;
  top: 0px;
  
  // Even though the background is transparent the element will block click,
  // etc events. This stops pointer events on the container but gives it back
  // to those inside.
  pointer-events: none;
  & > * { pointer-events: auto; }
}

@mixin fullscreen-container-full {
  top: 0px;
  width: 100vw;
  height: 100vh;
}

@mixin fullscreen-container-vertical-offset($offset) {
  height: calc(100vh - #{$offset});
}



@mixin flex-center {
  display: flex;
  justify-content: center;
  align-items: center;
}
